Loading...
Searching...
No Matches
Dune::TypeTree::AdvancedFilter Struct Reference
dune-typetree » Nodes

Base class for advanced filters. More...

`#include <dune/typetree/filters.hh>`

Inheritance diagram for Dune::TypeTree::AdvancedFilter:

## Classes

struct | apply
| Apply this filter to the given node and children. More...

## Public Types

typedef AdvancedFilterTag | FilterTag
| Filter tag for deciding on filter application mechanism.

## Detailed Description

Base class for advanced filters.

## Member Typedef Documentation

## FilterTag

typedef AdvancedFilterTag Dune::TypeTree::AdvancedFilter::FilterTag

Filter tag for deciding on filter application mechanism.

The documentation for this struct was generated from the following file:

- filters.hh